--
-- Установка конфигурационного параметра ac_enable_trusted_owner
--
-- Подключается администратор postgres
\connect - postgres
--
-- Устанавливаем конфигурационный параметр ac_enable_trusted_owner
SELECT ac_change_param('ac_enable_trusted_owner', true);
--
-- небольшая задержка
\! sleep 1
--
-- Просмотр значения конфигурационного параметра ac_enable_trusted_owner
-- Параметр включает традиционный для PostgreSQL режим работы с ролями
-- Ожидается, что параметр установлен, иначе тест завершится ошибкой
SELECT name AS "Наименование параметра", setting AS "Значение" FROM pg_settings WHERE name = 'ac_enable_trusted_owner';
