-- RBT-TEST - ДПРД для баз данных
-- Проверка дискреционного разграничения доступа для базы данных
-- Права доступа для базы данных:  CREATE, CONNECT, TEMPORARY(TEMP)
--
\i 'support/init.sql'
--
-- Общая подготовка
\connect - postgres
GRANT ALL ON DATABASE mtest TO postgres;
REVOKE ALL ON DATABASE mtest FROM PUBLIC;
--
-- Явно заданы права доступа к базе данных для администратора, всем остальным доступ запрещен
--
-- Проверка выполнения CONNECT
-- ожидается ошибка доступа
-- Подключение пользователя u_0_00
\connect - u_0_00
