-- RBT-TEST - Проверка SQL типов данных
-- Проверка работы МПРД при выборке данных командой SELECT
--
\i 'support/init.sql'
--
-- Подключаемся пользователем u_0_00
\connect - u_0_00
--
-- Создаем тестовые таблицы
CREATE TABLE test_bigint            (d BIGINT);
CREATE TABLE test_bigserial         (d BIGSERIAL);
CREATE TABLE test_bit               (d BIT);
CREATE TABLE test_bit_varying       (d BIT VARYING (100));
CREATE TABLE test_boolean           (d BOOLEAN);
CREATE TABLE test_box               (d BOX);
CREATE TABLE test_bytea             (d BYTEA);
CREATE TABLE test_char              (d CHAR);
CREATE TABLE test_character         (d CHARACTER (100));
CREATE TABLE test_character_varying (d CHARACTER VARYING (100));
CREATE TABLE test_varchar           (d VARCHAR (100));
CREATE TABLE test_cidr              (d CIDR);
CREATE TABLE test_circle            (d CIRCLE);
CREATE TABLE test_date              (d DATE);
CREATE TABLE test_double_precision  (d DOUBLE PRECISION);
CREATE TABLE test_inet              (d INET);
CREATE TABLE test_integer           (d INTEGER);
CREATE TABLE test_interval          (d INTERVAL (5));
CREATE TABLE test_line              (d LINE);
CREATE TABLE test_lseg              (d LSEG);
CREATE TABLE test_macaddr           (d MACADDR);
CREATE TABLE test_money             (d MONEY);
CREATE TABLE test_numeric           (d NUMERIC);
CREATE TABLE test_numeric_10_5      (d NUMERIC (10, 5));
CREATE TABLE test_decimal           (d DECIMAL);
CREATE TABLE test_decimal_10_5      (d DECIMAL (10, 5));
CREATE TABLE test_path              (d PATH);
CREATE TABLE test_point             (d POINT);
CREATE TABLE test_polygon           (d POLYGON);
CREATE TABLE test_real              (d REAL);
CREATE TABLE test_smallint          (d SMALLINT);
CREATE TABLE test_smallserial       (d SMALLSERIAL);
CREATE TABLE test_serial            (d SERIAL);
CREATE TABLE test_text              (d TEXT);
CREATE TABLE test_time              (d TIME);
CREATE TABLE test_timastamp         (d TIMESTAMP);
CREATE TABLE test_timestamp_wtz     (d TIMESTAMP WITH TIME ZONE);
CREATE TABLE test_timestamp_wotz    (d TIMESTAMP WITHOUT TIME ZONE);
--
\i 'support/done.sql'
