-- Очистка кластеров после сбоя
-- Скрипт производит очистку кластеров, работающих на портах 6000 и 6001 соответственно
--
-- Подключаемся к основному кластеру
\connect - - - 6000
--
-- Удаляем базу данных mtest
DROP DATABASE IF EXISTS mtest;
--
-- Удаляем табличное пространство
DROP TABLESPACE IF EXISTS dbspace;
--
-- Удаляем роли
DROP USER IF EXISTS u_0_00;
DROP USER IF EXISTS u2_0_00;
DROP USER IF EXISTS u_0_01;
DROP USER IF EXISTS u_1_01;
DROP USER IF EXISTS u_0_10;
DROP USER IF EXISTS u_1_10;
DROP USER IF EXISTS u_1_11;
DROP USER IF EXISTS u_2_11;
DROP USER IF EXISTS dbsa;
--
-- Устанавливаем мандатные атрибуты кластера по умолчанию
MAC LABEL ON CLUSTER IS '{0,0}';
MAC CCR ON CLUSTER IS ON;
--
-- Подключаемся к внешнему кластеру
\connect - - - 6001
--
-- Удаляем базу данных mtest
DROP DATABASE IF EXISTS mtest;
--
-- Удаляем табличное пространство
DROP TABLESPACE IF EXISTS dbspace;
--
-- Удаляем роли
DROP USER IF EXISTS u_0_00;
DROP USER IF EXISTS u2_0_00;
DROP USER IF EXISTS u_0_01;
DROP USER IF EXISTS u_1_01;
DROP USER IF EXISTS u_0_10;
DROP USER IF EXISTS u_1_10;
DROP USER IF EXISTS u_1_11;
DROP USER IF EXISTS u_2_11;
DROP USER IF EXISTS dbsa;
--
-- Устанавливаем мандатные атрибуты кластера по умолчанию
MAC LABEL ON CLUSTER IS '{0,0}';
MAC CCR ON CLUSTER IS ON;
--
-- Закончено
--