--
-- Установка конфигурационного параметра ac_wipe_files
--
-- Подключается администратор postgres
\connect - postgres
--
-- Устанавливаем конфигурационный параметр ac_wipe_files
SELECT ac_change_param('ac_wipe_files', true);
--
-- небольшая задержка
\! sleep 1
--
-- Просмотр значения конфигурационного параметра ac_wipe_files
-- Параметр включает режим очистки неиспользуемых или помеченных как грязные файлов
-- Ожидается, что параметр установлен, иначе тест завершится ошибкой
SELECT name AS "Наименование параметра", setting AS "Значение" FROM pg_settings WHERE name = 'ac_wipe_files';

