--
-- Настройка мандатных атрибутов для тестирования
--
-- Устанавливаем мандатную метку кластера
MAC LABEL ON CLUSTER IS '{3,3}';
--
-- Сбрасываем признак MAC CCR кластера
MAC CCR ON CLUSTER IS OFF;
--
-- Устанавливаем метку базы данных
MAC LABEL ON DATABASE mtest IS '{2,3}';
--
-- Сбрасываем признак MAC CСR у базы данных
MAC CCR ON DATABASE mtest IS OFF;
--
-- Устанавливаем метку схемы public
MAC LABEL ON SCHEMA public IS '{2,3}';
--
-- Сбрасываем признак MAC CСR у схемы public
MAC CCR ON SCHEMA public IS OFF;
--
-- Устанавливаем метку табличного пространства pg_default
MAC LABEL ON TABLESPACE pg_default IS '{2,3}';
--
-- Сбрасываем признак MAC CСR у табличного пространства pg_default
MAC CCR ON TABLESPACE pg_default IS OFF;
--
-- Создаем схему для уровня {0,0}
CREATE SCHEMA "Схема_0_00";
GRANT ALL ON SCHEMA "Схема_0_00" TO PUBLIC;
--
-- Создаем схему для уровня {1,1}
CREATE SCHEMA "Схема_1_01";
MAC LABEL ON SCHEMA "Схема_1_01" IS '{1,1}';
MAC CCR ON SCHEMA "Схема_1_01" IS OFF;
GRANT ALL ON SCHEMA "Схема_1_01" TO PUBLIC;
--
